%global githash 706b9b151d2f84da66f4f6784fb6a94e2fe058b8
Name:          subethasmtp
Version:       3.1.7
Release:       7%{?dist}
Summary:       A SMTP mail server for Java
# BSD: src/main/java/org/subethamail/smtp/util/Base64.java
License:       ASL 2.0 and BSD
# http://code.google.com/p/subethasmtp/
URL:           https://github.com/vivosys/subethasmtp
Source0:       https://github.com/vivosys/subethasmtp/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: java-javadoc
BuildRequires: maven-local
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
%if 0
BuildRequires: mvn(com.googlecode.jmockit:jmockit) >= 0.999.11
%endif

BuildArch:     noarch

%description
SubEtha SMTP is an easy-to-use server-side SMTP library for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete


%pom_remove_plugin :maven-gpg-plugin
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration" "
<excludes>
  <exclude>org/subethamail/smtp/test/**</exclude>
</excludes>"

%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']" "
<configuration>
  <nodeprecated>false</nodeprecated>
  <use>false</use>
  <author>true</author>
  <version>true</version>
  <detectJavaApiLink>false</detectJavaApiLink>
  <offlineLinks>
    <offlineLink>
      <url>http://download.oracle.com/javase/6/docs/api/</url>
      <location>%{_javadocdir}/java</location>
    </offlineLink>
  </offlineLinks>
  <excludePackageNames>org.subethamail.smtp.test.*:**Test**</excludePackageNames>
</configuration>"

# use system jvm apis
%pom_remove_dep javax.activation:activation

# unavailable test dep
%pom_remove_dep com.googlecode.jmockit:jmockit
rm -r src/test/java/org/subethamail/smtp/MessageHandlerTest.java
# this test fails ComparisonFailure
rm -r src/test/java/org/subethamail/smtp/TimeoutTest.java \
 src/test/java/org/subethamail/smtp/WiserFailuresTest.java \
 src/test/java/org/subethamail/smtp/ReceivedHeaderStreamTest.java

sed -i.java8 "s|MDC.setContextMap(parentLoggingMdcContext);|MDC.setContextMap((Map<String, String>)parentLoggingMdcContext);|" src/main/java/org/subethamail/smtp/server/Session.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.html
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 17 2015 gil cattaneo <puntogil@libero.it> 3.1.7-6
- fix Url tag and Source0 tag

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 3.1.7-5
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.1.7-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 3.1.7-1
- update to 3.1.7

* Wed Jun 06 2012 gil cattaneo <puntogil@libero.it> 3.1.6-1
- initial rpm
